

package com.tmerclub.cloud.user.dto;

import com.tmerclub.cloud.common.util.PrincipalUtil;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.Pattern;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author lhd
 * @date 2020/12/30
 */
public class CheckSmsDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "手机号")
    @Pattern(regexp = PrincipalUtil.MOBILE_REGEXP, message = "请输入正确的手机号")
    private String mobile;

    @Schema(description = "是否店铺账号，1是")
    private Integer shopAccount;

    @Schema(description = "验证码")
    private String validCode;

    @Schema(description = "校验修改手机号验证码成功的标识")
    private String checkUpdatePhoneSmsFlag;

    public String getCheckUpdatePhoneSmsFlag() {
        return checkUpdatePhoneSmsFlag;
    }

    public void setCheckUpdatePhoneSmsFlag(String checkUpdatePhoneSmsFlag) {
        this.checkUpdatePhoneSmsFlag = checkUpdatePhoneSmsFlag;
    }

    public String getValidCode() {
        return validCode;
    }

    public void setValidCode(String validCode) {
        this.validCode = validCode;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public Integer getShopAccount() {
        return shopAccount;
    }

    public void setShopAccount(Integer shopAccount) {
        this.shopAccount = shopAccount;
    }

    @Override
    public String toString() {
        return "CheckSmsDTO{" +
                "mobile='" + mobile + '\'' +
                ", shopAccount=" + shopAccount +
                ", validCode='" + validCode + '\'' +
                ", checkUpdatePhoneSmsFlag='" + checkUpdatePhoneSmsFlag + '\'' +
                '}';
    }
}
